Package weka.classifiers.functions

# Class BoundaryKernelClassifierWithPlaneProjectionsNB

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryKernelClassifier
weka.classifiers.functions.BoundaryKernelClassifierWithPlaneProjectionsNB

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`, `weka.tools.GlobalInfoHandler`

public class BoundaryKernelClassifierWithPlaneProjectionsNB extends BoundaryKernelClassifier

Since:
  2.3.0
Version:
  2.3.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryKernelClassifierWithPlaneProjectionsNB()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`
  `String[]`
  `getOptions()`
  `weka.classifiers.Classifier`
  `getPlaneProjectionProto()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `String`
  `planeProjectionProtoTipText()`
  `void`
  `setOptions(String[] options)`
  `void`
  `setPlaneProjectionProto(weka.classifiers.Classifier nbProto)`
  Set the prototype of the plane projection estimator prototype

  ### Methods inherited from class weka.classifiers.functions.BoundaryKernelClassifier

  `distributionForInstance, estimProtoTipText, getEstimProto, globalInfo, isNormalize, isPreNormalize, isUsePriorProbs, normalizeTipText, preNormalizeTipText, setEstimProto, setNormalize, setPreNormalize, setUsePriorProbs, usePriorProbsTipText`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundaryKernelClassifierWithPlaneProjectionsNB

    public BoundaryKernelClassifierWithPlaneProjectionsNB()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Overrides:
      `buildClassifier` in class `BoundaryKernelClassifier`
    Throws:
      `Exception`

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `BoundaryKernelClassifier`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `BoundaryKernelClassifier`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `BoundaryKernelClassifier`

  - ### getPlaneProjectionProto

    public weka.classifiers.Classifier getPlaneProjectionProto()
    Returns:
      the nbProto

  - ### setPlaneProjectionProto

    public void setPlaneProjectionProto(weka.classifiers.Classifier nbProto)
    Set the prototype of the plane projection estimator prototype
    Parameters:
      `planeProjectionProto` -

  - ### planeProjectionProtoTipText

    public String planeProjectionProtoTipText()